org.apache.xmlgraphics.image.loader.impl

## Class DefaultImageContext

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.DefaultImageContext

- All Implemented Interfaces:
    ImageContext

      public class DefaultImageContext
      extends java.lang.Object
      implements ImageContext

  Very simple ImageContext implementation that uses the `Toolkit`'s screen resolution.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultImageContext()` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getSourceResolution()` Returns the resolution (in dpi) that is to be used when interpreting pixel sizes where no resolution information is available.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultImageContext

          public DefaultImageContext()

      Main constructor.

  - ### Method Detail

    - #### getSourceResolution

          public float getSourceResolution()

      Returns the resolution (in dpi) that is to be used when interpreting pixel sizes where no resolution information is available.
      Specified by:
        `getSourceResolution` in interface `ImageContext`
      Returns:
        the source resolution (in dpi)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.